PanelBody (gCube Bundle Login Portlet 2.0.0-SNAPSHOT API)
Date: 2014-05-10

org.gcube.portlets.user.gcubelogin.client.panels

## Class PanelBody

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.user.gcubelogin.client.panels.PanelBody

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class PanelBody
      extends com.google.gwt.user.client.ui.Composite

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelBody()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeSizeWidth(int width)`
    `static PanelBody` | `get()`
    `boolean` | `getSuggestionContain(String name)`
    `static String` | `getURL()`
    `void` | `refreshSize()`
    `void` | `resizeHeader(int clientW)`
    `void` | `setFilter(boolean byFilter, Collection sugg)`
    `void` | `setVO(List<VO> result)` Create a VO tree with some data in it.

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PanelBody

          public PanelBody()

  - ### Method Detail

    - #### get

          public static PanelBody get()

    - #### setVO

          public void setVO(List<VO> result)

      Create a VO tree with some data in it.
      Parameters:
        `result` -

    - #### changeSizeWidth

          public void changeSizeWidth(int width)

    - #### refreshSize

          public void refreshSize()

    - #### setFilter

          public void setFilter(boolean byFilter,
                       Collection sugg)

    - #### getSuggestionContain

          public boolean getSuggestionContain(String name)

    - #### getURL

          public static String getURL()

    - #### resizeHeader

          public void resizeHeader(int clientW)

      Parameters:
        `width` -

Copyright © 2014. All Rights Reserved.